import { jsx } from "react/jsx-runtime";
import { TokenGEEQ as TokenGEEQ$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGEEQ = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GEEQ", "data-name": "TokenGEEQ", ...props, children: /* @__PURE__ */ jsx(TokenGEEQ$1, { variant }) });
  }
);
TokenGEEQ.displayName = "TokenGEEQ";
Object.assign(TokenGEEQ, { isGdsIcon: true });
export {
  TokenGEEQ
};
